[clutter-gst/wip/hadess/builddir-srcdir: 1/3] build: Fix builddir != srcdir
- From: Bastien Nocera <hadess src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [clutter-gst/wip/hadess/builddir-srcdir: 1/3] build: Fix builddir != srcdir
- Date: Tue, 19 Feb 2019 19:06:07 +0000 (UTC)
commit 344060b12c696f29290a8db97f94dfe4fb3048b4
Author: Bastien Nocera <hadess hadess net>
Date: Tue Feb 19 19:59:11 2019 +0100
build: Fix builddir != srcdir
autogen.sh | 12 +++++++++++-
clutter-gst/Makefile.am | 7 ++++---
2 files changed, 15 insertions(+), 4 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index d83f1c4..bfcdc97 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,6 +1,16 @@
#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+
+cd $srcdir
+
gtkdocize || exit 1
autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
if test -z "$NOCONFIGURE"; then
- ./configure "$@" || exit 1
+ $srcdir/configure "$@" || exit 1
fi
diff --git a/clutter-gst/Makefile.am b/clutter-gst/Makefile.am
index cac901f..0df17b3 100644
--- a/clutter-gst/Makefile.am
+++ b/clutter-gst/Makefile.am
@@ -24,7 +24,7 @@ source_h = \
$(srcdir)/clutter-gst.h \
$(srcdir)/clutter-gst-types.h \
$(srcdir)/clutter-gst-util.h \
- $(srcdir)/clutter-gst-version.h \
+ $(builddir)/clutter-gst-version.h \
$(srcdir)/clutter-gst-camera.h \
$(srcdir)/clutter-gst-camera-manager.h \
$(srcdir)/clutter-gst-camera-device.h \
@@ -38,14 +38,14 @@ source_h = \
source_priv_h = \
$(srcdir)/clutter-gst-debug.h \
- $(srcdir)/clutter-gst-marshal.h \
+ $(builddir)/clutter-gst-marshal.h \
$(srcdir)/clutter-gst-private.h \
$(NULL)
source_c = \
$(srcdir)/clutter-gst-debug.c \
$(srcdir)/clutter-gst-types.c \
- $(srcdir)/clutter-gst-marshal.c \
+ $(builddir)/clutter-gst-marshal.c \
$(srcdir)/clutter-gst-player.c \
$(srcdir)/clutter-gst-camera.c \
$(srcdir)/clutter-gst-camera-manager.c \
@@ -69,6 +69,7 @@ libclutter_gst_@CLUTTER_GST_MAJORMINOR@_la_SOURCES = \
INCLUDES = \
-I$(top_srcdir) \
+ -I$(top_builddir) \
$(NULL)
AM_CPPFLAGS = \
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]